Name:		x11-driver-video-mga
Epoch:		2
Version:	1.6.2
Release:	2
Summary:	X.org driver for Matrox Cards
Group:		System/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mga-%{version}.tar.bz2

BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	pkgconfig(xorg-server) >= 1.13
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	pkgconfig(gl)

Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts:	xorg-x11-server < 7.0

%description
x11-driver-video-mga is the X.org driver for Matrox Cards.

%prep
%setup -qn xf86-video-mga-%{version}
autoreconf -fis

%build
%configure
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/mga_drv.so
%{_mandir}/man4/mga.*


%changelog
* Fri Oct 19 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.6.2-2
+ Revision: 819090
- do autoreconf in %%prep
- cleanups

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Rebuild for x11-server 1.13

  + Alexander Khrukin <akhrukin@mandriva.org>
    - version update 1.6.2

* Mon Jul 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 2:1.6.1-1
+ Revision: 810708
- version update 1.6.1

* Fri Jul 06 2012 Alexander Khrukin <akhrukin@mandriva.org> 2:1.6.0-1
+ Revision: 808298
- version update 1.6.0

* Tue Mar 27 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2:1.5.0-2
+ Revision: 787233
- Rebuild for x11-server 1.12

* Sun Mar 25 2012 Alexander Khrukin <akhrukin@mandriva.org> 2:1.5.0-1
+ Revision: 786713
- version update 1.5.0

* Sat Dec 31 2011 Matthew Dawkins <mattydaw@mandriva.org> 2:1.4.13-8
+ Revision: 748422
- rebuild cleaned up spec

* Sat Oct 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.4.13-7
+ Revision: 703680
- rebuild for new x11-server

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 2:1.4.13-6
+ Revision: 683757
- Revert back to working 1.4.13.
- New version 1.9.100.

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 2:1.4.13-5
+ Revision: 683578
- Rebuild for new x11-server

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 2:1.4.13-4
+ Revision: 671154
- mass rebuild

* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 2:1.4.13-3mdv2011.0
+ Revision: 595720
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 2:1.4.13-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Aug 17 2010 Thierry Vignaud <tv@mandriva.org> 2:1.4.13-1mdv2011.0
+ Revision: 570772
- new release

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 2:1.4.12-1mdv2011.0
+ Revision: 555165
- new release

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 2:1.4.11-2mdv2010.1
+ Revision: 464340
- rebuild for new xserver

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 2:1.4.11-1mdv2010.0
+ Revision: 404800
- Update to new version 1.4.11
- Run autoreconf to fix build

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2:1.4.10-1mdv2010.0
+ Revision: 369179
- New version 1.4.10

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2:1.4.9-3mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 2:1.4.9-2mdv2009.1
+ Revision: 308135
- rebuild for new X server

* Wed Jul 16 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2:1.4.9-1mdv2009.0
+ Revision: 236540
- Update to version 1.4.9

  + Thierry Vignaud <tv@mandriva.org>
    - improved description
    - add missing dot at end of description
    - improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 2:1.4.8-1mdv2009.0
+ Revision: 194194
- Update to version 1.4.8.
  This also undoes a mistake by redoing it's fix, due to ftp directory
  having a tarball with a misleading version.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:1.9.100-1mdv2008.1
+ Revision: 165570
- Revert to use upstream tarball and remove local patches.
  New upstream release version 1.9.100.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1:1.4.7-4mdv2008.1
+ Revision: 156610
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:1.4.7-3mdv2008.1
+ Revision: 154852
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update spec documentation to describe how to generate the tarball from
  tag xf86-video-mga-1.4.7, and generate patches up to where mandriva branch
  was instantiated.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1:1.4.7-2mdv2008.1
+ Revision: 98697
- minor spec cleanup
- build against new xserver (1.4)
- new upstream version: 1.4.7
- minor spec cleanup

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages

* Mon Apr 30 2007 Thierry Vignaud <tv@mandriva.org> 1:1.4.6.1-1mdv2008.0
+ Revision: 19632
- new release


* Wed Dec 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.6-1mdv2007.0
+ Revision: 100478
- new release

* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1:1.4.5-1mdv2007.1
+ Revision: 89706
- new release
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Rollback to 1.2.1.3 (#23498)
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

